/* This program computes the distance travelled (in kilometers)
   at the speed of light, given the number of days of travel.

   Input:  Days, the number of days traveled
   Output: Kilometers, the distance traveled in Days days
------------------------------------------------------------------*/

#include <iostream.h>

double DaysToKilometers(double Days);
double RateTimesTime(double Velocity, double Time);

int main(void)
{
   cout << "\nThis program computes the distance traveled (in km) at"
        << "\n\tthe speed of light, given the number of days of "
        << "travel.\n";

   double
      Days;

   cout << "\nPlease enter the number of days: ";
   cin >> Days;

   double
      Kilometers = DaysToKilometers(Days);

    cout << "\nAt the speed of light, we have traveled\n\t"
         << Kilometers << " kilometers in " << Days << " days.\n\n";

   return 0;
}


/*-----------------------------------------------------------------
DaysToKilometers computes the number of kilometers travelled during
   a given number of days of travel at the speed of light.

   Receive: Days, the number of days traveled at the speed of light
   Return:  Kilometers, the number of kilometers traveled
------------------------------------------------------------------*/

#include "Times.h"	// needed for converting days to seconds
#include "Metric.h"	// needed for converting meters to kilometers

double DaysToKilometers(double Days)
{
   const double
      SpeedOfLight = 2.997925E8;              // meters per second

   double
      Seconds = DaysToSeconds(Days);          // from Times.h

   double
      Meters = RateTimesTime(SpeedOfLight, Seconds);

   double
     Kilometers = MetersToKilometers(Meters); // from Metric.h

   return Kilometers;
}

/*-----------------------------------------------------------------
RateTimesTime computes a distance, given a Velocity and a Time.

   Receive: Velocity, the speed at which travel is occurring
            Time, the time traveled
   Return:  the distance traveled
------------------------------------------------------------------*/

double RateTimesTime(double Velocity, double Time)
{
   return Velocity * Time;
}
